Need advice on updating to php 5.2 running Centos 5.5

General support questions including new installations
Post Reply
putzboy
Posts: 4
Joined: 2011/07/18 19:55:50

Need advice on updating to php 5.2 running Centos 5.5

Post by putzboy » 2011/07/18 20:07:53

Hi,
I'm very new at using Centos, but here is my situation. The remote server I have leased has Centos 5.5 and php 5.1.6 currently running. I need to be running at least php 5.2. Do I need to update Centos to 5.6? Is the php update a separate install from Centos 5.6? Sorry for all the questions at once. Thanks!

logan
Posts: 64
Joined: 2008/08/01 16:40:34

Re: Need advice on updating to php 5.2 running Centos 5.5

Post by logan » 2011/07/18 21:33:42

CentOS 5.6 has some php53-* packages available, but you first need to uninstall the existing php packages. I don't know much about the these except that they don't seem to be updated very often (last was [url=http://rhn.redhat.com/errata/RHSA-2011-0196.html]Feb 2011[/url]) and there's been a number of official 5.3.x releases since. I can only assume whatever security issues fixed in upstream releases aren't an issue here or they aren't significant enough to patch at this time.

One customer at work needed 5.2+ so I ended up pulling a .spec file from Fedora 10 or 11 and building the RPMs myself with upstream tarballs and the existing SRPM patches since we were both a bit leery about 3rd party builds/repos. This is a bit more involved so I wouldn't recommend it, plus 5.2 is no longer supported so it's probably best if you skip right to 5.3 and the php53-* packages sound like the best way to do that.

http://wiki.centos.org/HowTos/PHP_5.1_To_5.2 suggests upgrading to php53 or using the IUS Community Repo.

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Need advice on updating to php 5.2 running Centos 5.5

Post by pschaff » 2011/07/19 17:21:26

Welcome to the CentOS fora. Please see the recommended reading for new users linked in my signature.

[quote]
putzboy wrote:
Hi,
I'm very new at using Centos, but here is my situation. The remote server I have leased has Centos 5.5 and php 5.1.6 currently running. I need to be running at least php 5.2. Do I need to update Centos to 5.6?[/quote]
That is an unconditional [b]yes[/b]. One should always stay up to date to get the latest security and bug-fix patches, and I would question the support of a provider still supplying 5.5.

See the [url=http://wiki.centos.org/Manuals/ReleaseNotes/CentOS5.6]CentOS 5.6 Release Notes[/url] before updating.

[quote]
Is the php update a separate install from Centos 5.6? Sorry for all the questions at once. Thanks![/quote]
Many people needing a later PHP seem to prefer the IUS php53u packages over the distro php53 packages. If you still have questions after absorbing the recommended reading, and perhaps trying a forum search for [url=https://www.centos.org/search.php?query=php53u&mid=30&action=showall&andor=AND]php53u[/url], please ask, including details of where you encountered difficulties.

Post Reply

Return to “CentOS 5 - General Support”